<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>price</title>
    <style>
        .price-container {
            display: inline-block;
            background-color: azure;
            padding: 25px;
            margin: 30px;
            border: 2px solid grey;
            border-radius: 5px;
            font-family: Arial, Helvetica, sans-serif;
            font-size: 24px;
        }

        .price-field {
            margin-left: 20px;
            outline: none;
        }
        .error-text{
            font-style: italic;
            color: red;
            font-size: 15px;
            padding-left: 30px;
        }
        .above-text{
            font-size: 15px;
        }
    </style>
</head>

<body>
    <div class='price-container'>
        <p class='price-text'>price<input class='price-field' type='number' placeholder=''></p>
    </div>

    <script>
        const priceField = document.querySelector('.price-field')
        const priceText = document.querySelector('.price-container .price-text')
        const aboveText = document.createElement('span')
        
        const errorMsg = 'Please enter correct price'
        const errorText = document.createElement('p')
        

        priceField.addEventListener('focus', function () {
            this.style.border = '2px solid green'
            this.style.backgroundColor = ''
            aboveText.remove()
            errorText.remove()
        })
        priceField.addEventListener('blur', function () {
            if (priceField.value > 0) {
                aboveText.innerHTML = `current price is ${priceField.value}`
                aboveText.className = 'above-text'
                priceText.before(aboveText)
                priceField.style.backgroundColor = 'green'
                priceField.value = ''
                aboveText.insertAdjacentHTML('beforeend', '<button class="close">&#9746;</button>')
                const closeBtn = document.querySelector('.close')
                closeBtn.style.color = 'red'
                closeBtn.style.marginLeft = '15px'
                closeBtn.addEventListener('click', function(){
                    aboveText.remove()
                })
            }
            else {
                errorText.textContent = `${errorMsg}`
                errorText.className = 'error-text'
                priceField.after(errorText)
                priceField.style.border = '2px solid red'
                priceField.value = ''
            }
        })

    </script>
</body>

</html>